Bug 597403 - usc fonts are outdated
usc fonts are outdated
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ucs-miscfixed-fonts (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
http://www.cl.cam.ac.uk/~mgk25/ucs-fo...
: FutureFeature, Reopened
: 678170 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-28 16:31 EDT by acount closed by user
Modified: 2012-03-01 05:39 EST (History)
4 users (show)

See Also:
Fixed In Version: ucs-miscfixed-fonts-0.3-8.fc18
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-01 05:39:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description acount closed by user 2010-05-28 16:31:21 EDT
please update bitmap-fonts-0.3.tar.bz2 with latest from http://www.cl.cam.ac.uk/~mgk25/ucs-fonts.html

-thanks-
Comment 1 Pravin Satpute 2010-06-11 02:47:30 EDT
version inside fonts both your link and one we have in rawhide is still 001.000

but in README, rawhide presently looks very old 2002/03 something
and one you pointed is showing date 2008, so this looks updated
Comment 2 acount closed by user 2010-06-11 06:55:55 EDT
example:

- rawhide package, 10x20.bdf file:

COMMENT "$Id: 10x20.bdf,v 1.83 2002-11-18 14:27:35+00 mgk25 Exp mgk25 $"


- http://www.cl.cam.ac.uk/~mgk25/ucs-fonts.html release, 10x20.bdf file:

COMMENT "$Id: 10x20.bdf,v 1.91 2009-04-06 19:10:19+01 mgk25 Rel $"




10x20.changes:

RCS file: RCS/10x20.bdf,v
Working file: 10x20.bdf
head: 1.91
branch:
locks: strict
access list:
symbolic names:
keyword substitution: kv
total revisions: 91;    selected revisions: 91
description:
ISO 10646 ext. of -Misc-Fixed-Medium-R-Normal--20-200-75-75-C-100-ISO8859-1
----------------------------
revision 1.91
date: 2009-04-06 19:10:19+01;  author: mgk25;  state: Rel;  lines: +2 -3
removed _XMBDFED_INFO
----------------------------
revision 1.90
date: 2009-04-06 17:37:22+01;  author: mgk25;  state: Rel;  lines: +5906 -559
Unicode 5.1 TARGET3 by Henning Brunzel <muhgnu@yahoo.de>
----------------------------
revision 1.89
date: 2006-01-05 20:24:11+00;  author: mgk25;  state: Rel;  lines: +2 -164
removed East Asian "wide" characters
----------------------------
revision 1.88
date: 2005-08-26 09:46:44+01;  author: mgk25;  state: Exp;  lines: +5 -5
Thomas Wolff <towo@towo.net> suggested a change of U+21B5 to distinguish it
from U+21B2.
----------------------------
revision 1.87
date: 2003-02-14 18:11:04+00;  author: mgk25;  state: Rel;  lines: +2242 -1
Roozbeh Pournader <roozbeh@sharif.edu>:

* 19 new symbols: 213B, 2615, 2690, 2691, 26A0, 26A1, 2B00..2B0C.

* 64 Yijing Hexagram Symbols: 4DC0..4DFF
----------------------------
revision 1.86
date: 2003-02-13 13:06:39+00;  author: mgk25;  state: Exp;  lines: +3773 -290
Roozbeh Pournader <roozbeh@sharif.edu>:

* A total of 129 new characters: 0221, 0234..0236, 02AE, 02AF, 02EF..02FF,
  0350..0357, 035D..035F, 03F7..03FB, 1D00, 1D01, 1D03, 1D04..1D07, 1D0A,
  1D0B, 1D0D, 1D0F, 1D10, 1D15, 1D18, 1D1B, 1D1C, 1D20..1D6A.

* Moving 1D1D..1D1F to their correct place (which were mistakenly put at
  1D1B..1D1D).

* Corrections to 027B and 027D to make the hooks appear better.

* Small correction to 1D03 to make it the same height as other small caps
  letters.
----------------------------
revision 1.85
date: 2003-02-12 15:23:12+00;  author: mgk25;  state: Exp;  lines: +488 -2
Roozbeh Pournader <roozbeh@sharif.edu>:

 * Added the trivial Unicode 4.0 Phonetic Extension characters: 1D02,
   1D03, 1D08, 1D09, 1D0C, 1D0E, 1D11..1D14, 1D16, 1D17, 1D19..1D1D, and 1D6B.

 * Slight correction to 06AA.
----------------------------
revision 1.84
date: 2003-02-10 10:28:36+00;  author: mgk25;  state: Exp;  lines: +1138 -4
Roozbeh Pournader <roozbeh@sharif.edu>

* Added new Arabic characters of Unicode 4.0: 0600..0603, 060D..0615,
  0656..0658, 06EE, 06EF, 06FF.

* Moved the glyphs for 0664 and 0665 one pixel higher to align with other
  Arabic digits.

* Added a few easy symbols from Unicode 4.0: 2053, 2054, 23CF, 23D0,
  24FF, 2614, 268A..268F, and 2B0D.

* Added negative circled two-digit numbers from Unicode 3.2: 24EB..24F4.
----------------------------
Comment 3 Pravin Satpute 2010-06-11 07:17:09 EDT
nice, thanks for making it more clear :)

one more question, might be you can answer it better

i have seen xorg-x11-fonts-misc also provides these same fonts, are those

/usr/share/X11/fonts/misc/10x20-ISO8859-1.pcf.gz
/usr/share/X11/fonts/misc/10x20-ISO8859-14.pcf.gz
/usr/share/X11/fonts/misc/10x20-ISO8859-15.pcf.gz
/usr/share/X11/fonts/misc/10x20-ISO8859-2.pcf.gz
/usr/share/X11/fonts/misc/10x20-ISO8859-5.pcf.gz
/usr/share/X11/fonts/misc/10x20-ISO8859-7.pcf.gz
/usr/share/X11/fonts/misc/10x20-ISO8859-8.pcf.gz
/usr/share/X11/fonts/misc/10x20-ISO8859-9.pcf.gz
/usr/share/X11/fonts/misc/10x20-KOI8-R.pcf.gz
/usr/share/X11/fonts/misc/10x20.pcf.gz
/usr/share/X11/fonts/misc/12x13ja.pcf.gz
/usr/share/X11/fonts/misc/12x24.pcf.gz
/usr/share/X11/fonts/misc/12x24rk.pcf.gz
/usr/share/X11/fonts/misc/18x18ja.pcf.gz
/usr/share/X11/fonts/misc/18x18ko.pcf.gz
/usr/share/X11/fonts/misc/4x6-ISO8859-1.pcf.gz
/usr/share/X11/fonts/misc/4x6-ISO8859-14.pcf.gz
/usr/share/X11/fonts/misc/4x6-ISO8859-15.pcf.gz
/usr/share/X11/fonts/misc/4x6-ISO8859-2.pcf.gz
/usr/share/X11/fonts/misc/4x6-ISO8859-5.pcf.gz
/usr/share/X11/fonts/misc/4x6-ISO8859-7.pcf.gz
/usr/share/X11/fonts/misc/4x6-ISO8859-8.pcf.gz
/usr/share/X11/fonts/misc/4x6-ISO8859-9.pcf.gz
/usr/share/X11/fonts/misc/4x6-KOI8-R.pcf.gz
/usr/share/X11/fonts/misc/4x6.pcf.gz
/usr/share/X11/fonts/misc/5x7-ISO8859-1.pcf.gz
/usr/share/X11/fonts/misc/5x7-ISO8859-14.pcf.gz
/usr/share/X11/fonts/misc/5x7-ISO8859-15.pcf.gz
/usr/share/X11/fonts/misc/5x7-ISO8859-2.pcf.gz
/usr/share/X11/fonts/misc/5x7-ISO8859-5.pcf.gz
/usr/share/X11/fonts/misc/5x7-ISO8859-7.pcf.gz
/usr/share/X11/fonts/misc/5x7-ISO8859-8.pcf.gz
/usr/share/X11/fonts/misc/5x7-ISO8859-9.pcf.gz
/usr/share/X11/fonts/misc/5x7-KOI8-R.pcf.gz
/usr/share/X11/fonts/misc/5x7.pcf.gz
/usr/share/X11/fonts/misc/5x8-ISO8859-1.pcf.gz
/usr/share/X11/fonts/misc/5x8-ISO8859-14.pcf.gz
/usr/share/X11/fonts/misc/5x8-ISO8859-15.pcf.gz
/usr/share/X11/fonts/misc/5x8-ISO8859-2.pcf.gz
/usr/share/X11/fonts/misc/5x8-ISO8859-5.pcf.gz
/usr/share/X11/fonts/misc/5x8-ISO8859-7.pcf.gz
/usr/share/X11/fonts/misc/5x8-ISO8859-8.pcf.gz
/usr/share/X11/fonts/misc/5x8-ISO8859-9.pcf.gz
/usr/share/X11/fonts/misc/5x8-KOI8-R.pcf.gz
/usr/share/X11/fonts/misc/5x8.pcf.gz
/usr/share/X11/fonts/misc/6x10-ISO8859-1.pcf.gz
/usr/share/X11/fonts/misc/6x10-ISO8859-14.pcf.gz
/usr/share/X11/fonts/misc/6x10-ISO8859-15.pcf.gz
/usr/share/X11/fonts/misc/6x10-ISO8859-2.pcf.gz
/usr/share/X11/fonts/misc/6x10-ISO8859-5.pcf.gz
/usr/share/X11/fonts/misc/6x10-ISO8859-7.pcf.gz
/usr/share/X11/fonts/misc/6x10-ISO8859-8.pcf.gz
/usr/share/X11/fonts/misc/6x10-ISO8859-9.pcf.gz
/usr/share/X11/fonts/misc/6x10-KOI8-R.pcf.gz
/usr/share/X11/fonts/misc/6x10.pcf.gz
/usr/share/X11/fonts/misc/6x12-ISO8859-1.pcf.gz
/usr/share/X11/fonts/misc/6x12-ISO8859-14.pcf.gz
/usr/share/X11/fonts/misc/6x12-ISO8859-15.pcf.gz
/usr/share/X11/fonts/misc/6x12-ISO8859-2.pcf.gz
/usr/share/X11/fonts/misc/6x12-ISO8859-5.pcf.gz
/usr/share/X11/fonts/misc/6x12-ISO8859-7.pcf.gz
/usr/share/X11/fonts/misc/6x12-ISO8859-8.pcf.gz
/usr/share/X11/fonts/misc/6x12-ISO8859-9.pcf.gz
/usr/share/X11/fonts/misc/6x12-KOI8-R.pcf.gz
/usr/share/X11/fonts/misc/6x12.pcf.gz
/usr/share/X11/fonts/misc/6x13-ISO8859-1.pcf.gz
/usr/share/X11/fonts/misc/6x13-ISO8859-14.pcf.gz
/usr/share/X11/fonts/misc/6x13-ISO8859-15.pcf.gz
/usr/share/X11/fonts/misc/6x13-ISO8859-2.pcf.gz
/usr/share/X11/fonts/misc/6x13-ISO8859-5.pcf.gz
/usr/share/X11/fonts/misc/6x13-ISO8859-7.pcf.gz
/usr/share/X11/fonts/misc/6x13-ISO8859-8.pcf.gz
/usr/share/X11/fonts/misc/6x13-ISO8859-9.pcf.gz
/usr/share/X11/fonts/misc/6x13-KOI8-R.pcf.gz
/usr/share/X11/fonts/misc/6x13.pcf.gz
/usr/share/X11/fonts/misc/6x13B-ISO8859-1.pcf.gz
/usr/share/X11/fonts/misc/6x13B-ISO8859-14.pcf.gz
/usr/share/X11/fonts/misc/6x13B-ISO8859-15.pcf.gz
/usr/share/X11/fonts/misc/6x13B-ISO8859-2.pcf.gz
/usr/share/X11/fonts/misc/6x13B-ISO8859-5.pcf.gz
/usr/share/X11/fonts/misc/6x13B-ISO8859-7.pcf.gz
/usr/share/X11/fonts/misc/6x13B-ISO8859-8.pcf.gz
/usr/share/X11/fonts/misc/6x13B-ISO8859-9.pcf.gz
/usr/share/X11/fonts/misc/6x13B.pcf.gz
/usr/share/X11/fonts/misc/6x13O-ISO8859-1.pcf.gz
/usr/share/X11/fonts/misc/6x13O-ISO8859-14.pcf.gz
/usr/share/X11/fonts/misc/6x13O-ISO8859-15.pcf.gz
/usr/share/X11/fonts/misc/6x13O-ISO8859-2.pcf.gz
/usr/share/X11/fonts/misc/6x13O-ISO8859-5.pcf.gz
/usr/share/X11/fonts/misc/6x13O-ISO8859-7.pcf.gz
/usr/share/X11/fonts/misc/6x13O-ISO8859-9.pcf.gz
/usr/share/X11/fonts/misc/6x13O.pcf.gz
/usr/share/X11/fonts/misc/6x9-ISO8859-1.pcf.gz
/usr/share/X11/fonts/misc/6x9-ISO8859-14.pcf.gz
/usr/share/X11/fonts/misc/6x9-ISO8859-15.pcf.gz
/usr/share/X11/fonts/misc/6x9-ISO8859-2.pcf.gz
/usr/share/X11/fonts/misc/6x9-ISO8859-5.pcf.gz
/usr/share/X11/fonts/misc/6x9-ISO8859-7.pcf.gz
/usr/share/X11/fonts/misc/6x9-ISO8859-8.pcf.gz
/usr/share/X11/fonts/misc/6x9-ISO8859-9.pcf.gz
/usr/share/X11/fonts/misc/6x9-KOI8-R.pcf.gz
/usr/share/X11/fonts/misc/6x9.pcf.gz
/usr/share/X11/fonts/misc/7x13-ISO8859-1.pcf.gz
/usr/share/X11/fonts/misc/7x13-ISO8859-14.pcf.gz
/usr/share/X11/fonts/misc/7x13-ISO8859-15.pcf.gz
/usr/share/X11/fonts/misc/7x13-ISO8859-2.pcf.gz
/usr/share/X11/fonts/misc/7x13-ISO8859-5.pcf.gz
/usr/share/X11/fonts/misc/7x13-ISO8859-7.pcf.gz
/usr/share/X11/fonts/misc/7x13-ISO8859-8.pcf.gz
/usr/share/X11/fonts/misc/7x13-ISO8859-9.pcf.gz
/usr/share/X11/fonts/misc/7x13-KOI8-R.pcf.gz
/usr/share/X11/fonts/misc/7x13.pcf.gz
/usr/share/X11/fonts/misc/7x13B-ISO8859-1.pcf.gz
/usr/share/X11/fonts/misc/7x13B-ISO8859-14.pcf.gz
/usr/share/X11/fonts/misc/7x13B-ISO8859-15.pcf.gz
/usr/share/X11/fonts/misc/7x13B-ISO8859-2.pcf.gz
/usr/share/X11/fonts/misc/7x13B-ISO8859-5.pcf.gz
/usr/share/X11/fonts/misc/7x13B-ISO8859-7.pcf.gz
/usr/share/X11/fonts/misc/7x13B-ISO8859-8.pcf.gz
/usr/share/X11/fonts/misc/7x13B-ISO8859-9.pcf.gz
/usr/share/X11/fonts/misc/7x13B.pcf.gz
/usr/share/X11/fonts/misc/7x13O-ISO8859-1.pcf.gz
/usr/share/X11/fonts/misc/7x13O-ISO8859-14.pcf.gz
/usr/share/X11/fonts/misc/7x13O-ISO8859-15.pcf.gz
/usr/share/X11/fonts/misc/7x13O-ISO8859-2.pcf.gz
/usr/share/X11/fonts/misc/7x13O-ISO8859-5.pcf.gz
/usr/share/X11/fonts/misc/7x13O-ISO8859-7.pcf.gz
/usr/share/X11/fonts/misc/7x13O-ISO8859-9.pcf.gz
/usr/share/X11/fonts/misc/7x13O.pcf.gz
/usr/share/X11/fonts/misc/7x14-ISO8859-1.pcf.gz
/usr/share/X11/fonts/misc/7x14-ISO8859-14.pcf.gz
/usr/share/X11/fonts/misc/7x14-ISO8859-15.pcf.gz
/usr/share/X11/fonts/misc/7x14-ISO8859-2.pcf.gz
/usr/share/X11/fonts/misc/7x14-ISO8859-5.pcf.gz
/usr/share/X11/fonts/misc/7x14-ISO8859-7.pcf.gz
/usr/share/X11/fonts/misc/7x14-ISO8859-8.pcf.gz
/usr/share/X11/fonts/misc/7x14-ISO8859-9.pcf.gz
/usr/share/X11/fonts/misc/7x14-JISX0201.1976-0.pcf.gz
/usr/share/X11/fonts/misc/7x14-KOI8-R.pcf.gz
/usr/share/X11/fonts/misc/7x14.pcf.gz
/usr/share/X11/fonts/misc/7x14B-ISO8859-1.pcf.gz
/usr/share/X11/fonts/misc/7x14B-ISO8859-14.pcf.gz
/usr/share/X11/fonts/misc/7x14B-ISO8859-15.pcf.gz
/usr/share/X11/fonts/misc/7x14B-ISO8859-2.pcf.gz
/usr/share/X11/fonts/misc/7x14B-ISO8859-5.pcf.gz
/usr/share/X11/fonts/misc/7x14B-ISO8859-7.pcf.gz
/usr/share/X11/fonts/misc/7x14B-ISO8859-8.pcf.gz
/usr/share/X11/fonts/misc/7x14B-ISO8859-9.pcf.gz
/usr/share/X11/fonts/misc/7x14B.pcf.gz
/usr/share/X11/fonts/misc/8x13-ISO8859-1.pcf.gz
/usr/share/X11/fonts/misc/8x13-ISO8859-14.pcf.gz
/usr/share/X11/fonts/misc/8x13-ISO8859-15.pcf.gz
/usr/share/X11/fonts/misc/8x13-ISO8859-2.pcf.gz
/usr/share/X11/fonts/misc/8x13-ISO8859-5.pcf.gz
/usr/share/X11/fonts/misc/8x13-ISO8859-7.pcf.gz
/usr/share/X11/fonts/misc/8x13-ISO8859-8.pcf.gz
/usr/share/X11/fonts/misc/8x13-ISO8859-9.pcf.gz
/usr/share/X11/fonts/misc/8x13-KOI8-R.pcf.gz
/usr/share/X11/fonts/misc/8x13.pcf.gz
/usr/share/X11/fonts/misc/8x13B-ISO8859-1.pcf.gz
/usr/share/X11/fonts/misc/8x13B-ISO8859-14.pcf.gz
/usr/share/X11/fonts/misc/8x13B-ISO8859-15.pcf.gz
/usr/share/X11/fonts/misc/8x13B-ISO8859-2.pcf.gz
/usr/share/X11/fonts/misc/8x13B-ISO8859-5.pcf.gz
/usr/share/X11/fonts/misc/8x13B-ISO8859-7.pcf.gz
/usr/share/X11/fonts/misc/8x13B-ISO8859-8.pcf.gz
/usr/share/X11/fonts/misc/8x13B-ISO8859-9.pcf.gz
/usr/share/X11/fonts/misc/8x13B.pcf.gz
/usr/share/X11/fonts/misc/8x13O-ISO8859-1.pcf.gz
/usr/share/X11/fonts/misc/8x13O-ISO8859-14.pcf.gz
/usr/share/X11/fonts/misc/8x13O-ISO8859-15.pcf.gz
/usr/share/X11/fonts/misc/8x13O-ISO8859-2.pcf.gz
/usr/share/X11/fonts/misc/8x13O-ISO8859-5.pcf.gz
/usr/share/X11/fonts/misc/8x13O-ISO8859-7.pcf.gz
/usr/share/X11/fonts/misc/8x13O-ISO8859-9.pcf.gz
/usr/share/X11/fonts/misc/8x13O.pcf.gz
/usr/share/X11/fonts/misc/8x16.pcf.gz
/usr/share/X11/fonts/misc/8x16rk.pcf.gz
/usr/share/X11/fonts/misc/9x15-ISO8859-1.pcf.gz
/usr/share/X11/fonts/misc/9x15-ISO8859-14.pcf.gz
/usr/share/X11/fonts/misc/9x15-ISO8859-15.pcf.gz
/usr/share/X11/fonts/misc/9x15-ISO8859-2.pcf.gz
/usr/share/X11/fonts/misc/9x15-ISO8859-5.pcf.gz
/usr/share/X11/fonts/misc/9x15-ISO8859-7.pcf.gz
/usr/share/X11/fonts/misc/9x15-ISO8859-8.pcf.gz
/usr/share/X11/fonts/misc/9x15-ISO8859-9.pcf.gz
/usr/share/X11/fonts/misc/9x15-KOI8-R.pcf.gz
/usr/share/X11/fonts/misc/9x15.pcf.gz
/usr/share/X11/fonts/misc/9x15B-ISO8859-1.pcf.gz
/usr/share/X11/fonts/misc/9x15B-ISO8859-14.pcf.gz
/usr/share/X11/fonts/misc/9x15B-ISO8859-15.pcf.gz
/usr/share/X11/fonts/misc/9x15B-ISO8859-2.pcf.gz
/usr/share/X11/fonts/misc/9x15B-ISO8859-5.pcf.gz
/usr/share/X11/fonts/misc/9x15B-ISO8859-7.pcf.gz
/usr/share/X11/fonts/misc/9x15B-ISO8859-8.pcf.gz
/usr/share/X11/fonts/misc/9x15B-ISO8859-9.pcf.gz
/usr/share/X11/fonts/misc/9x15B.pcf.gz
/usr/share/X11/fonts/misc/9x18-ISO8859-1.pcf.gz
/usr/share/X11/fonts/misc/9x18-ISO8859-14.pcf.gz
/usr/share/X11/fonts/misc/9x18-ISO8859-15.pcf.gz
/usr/share/X11/fonts/misc/9x18-ISO8859-2.pcf.gz
/usr/share/X11/fonts/misc/9x18-ISO8859-5.pcf.gz
/usr/share/X11/fonts/misc/9x18-ISO8859-7.pcf.gz
/usr/share/X11/fonts/misc/9x18-ISO8859-8.pcf.gz
/usr/share/X11/fonts/misc/9x18-ISO8859-9.pcf.gz
/usr/share/X11/fonts/misc/9x18-KOI8-R.pcf.gz
/usr/share/X11/fonts/misc/9x18.pcf.gz
/usr/share/X11/fonts/misc/9x18B-ISO8859-1.pcf.gz
/usr/share/X11/fonts/misc/9x18B-ISO8859-14.pcf.gz
/usr/share/X11/fonts/misc/9x18B-ISO8859-15.pcf.gz
/usr/share/X11/fonts/misc/9x18B-ISO8859-2.pcf.gz
/usr/share/X11/fonts/misc/9x18B-ISO8859-5.pcf.gz
/usr/share/X11/fonts/misc/9x18B-ISO8859-7.pcf.gz
/usr/share/X11/fonts/misc/9x18B-ISO8859-8.pcf.gz
/usr/share/X11/fonts/misc/9x18B-ISO8859-9.pcf.gz
/usr/share/X11/fonts/misc/9x18B.pcf.gz


and some more.

are these same provided by http://www.cl.cam.ac.uk/~mgk25/ucs-fonts.html?

if yes i think we can stop shipping ucs-miscfixed-fonts and may be improve xorg x11 font package

peterson also pointed it long time back
Comment 4 Nicolas Mailhot 2010-06-12 10:10:04 EDT
Currently  ucs-miscfixed-fonts is packaged according to guidelines and xorg-x11-fonts-misc is a legacy mess no one seems to want to take the time to clean up. So if one of those was to be killed, it should not be ucs-miscfixed-fonts
Comment 5 Pravin Satpute 2010-06-13 02:31:05 EDT
yeah, we did a lots of work for cleaning on bitmap-fonts

if i package with latest upstream version (http://www.cl.cam.ac.uk/~mgk25/download/ucs-fonts.tar.gz), it will get installed in /usr/X11/lib/X11/fonts/misc/ , off course we can change the path

and i can see most of these fonts in /usr/share/X11/fonts/misc/ from xorg-x11-fonts-misc

i think this is time we can do some decision making, may be decide which are duplicate and patch xorg-x11-fonts package
Comment 6 Nicolas Mailhot 2010-06-13 05:02:32 EDT
The target should be to kill /usr/share/X11/fonts/, by migrating bits to /usr/share/fonts/ when their packaging is cleaned up, and declaring the parts of /usr/share/fonts/ that need exposure as X11 core fonts in /etc/fonts/conf.d

Right now /usr/share/X11/fonts/ is just a legacy placeholder for things that need cleaning up
Comment 7 Nicolas Mailhot 2010-06-13 05:04:01 EDT
(of course for the X11 core fonts declaration to work you also need to add the horrible fonts.foo core font indexes to your directory)
Comment 8 acount closed by user 2010-06-15 06:20:17 EDT
(In reply to comment #3)

> i have seen xorg-x11-fonts-misc also provides these same fonts, are those
> /usr/share/X11/fonts/misc/9x18B.pcf.gz

> are these same provided by http://www.cl.cam.ac.uk/~mgk25/ucs-fonts.html?


from http://www.cl.cam.ac.uk/~mgk25/ucs-fonts.html:

---cut---
- Distribution

I periodically contribute a recent snapshot of all of the above fonts to XFree86 and they have been shipping as part of the XFree86 releases since XFree86 4.1. I have also made them available to X.Org for inclusion into one of the next official X11 distributions as a replacement for the current ISO 8859-1 BDF fonts (hopefully they will be in X11R6.7). The copyright status of these fonts remains the same as for the original fonts in the X11 distribution, therefore any X11 server vendors are welcome to include them into their products without payment of royalties.
---end---
Comment 9 acount closed by user 2010-06-26 20:56:11 EDT
Closed.

I'm sorry, I'm going to delete my bz count.
Comment 10 Jens Petersen 2010-06-28 23:17:26 EDT
Closing a/c is no reason to close bug...
Comment 11 Pravin Satpute 2010-07-29 04:25:47 EDT
(In reply to comment #10)
> Closing a/c is no reason to close bug...    

I have no problem in updating these as per the upstream tarball, but same fonts are provided by xorg-x11-fonts-misc

so we should decide what to do for this bug

best case i can do is, select the set of fonts presently provided by ucs-miscfixed-fonts from new tarball. and build same.
Comment 12 Bug Zapper 2010-07-30 07:44:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Akira TAGOH 2011-02-15 00:53:38 EST
Please go ahead and follow up the packaging guidelines.
Comment 14 Pravin Satpute 2011-02-16 03:01:17 EST
sure, will update the fonts present in package
Comment 15 Account closed by user 2011-02-16 19:03:01 EST
*** Bug 678170 has been marked as a duplicate of this bug. ***
Comment 16 Account closed by user 2011-02-16 20:05:47 EST
I checked for myself, font-misc-misc-1.1.2.tar.bz2(Xorg) vs. ucs-fonts.tar.gz(mgk25). And the _base_ fonts are the same.

Only the head was changed:

--diff--
--- 10x20.bdf	2009-09-01 10:29:52.000000000 +0200
+++ /home/xose/tmp/j/10x20.bdf	2009-04-06 20:10:19.000000000 +0200
@@ -1,5 +1,5 @@
 STARTFONT 2.1
-COMMENT "$ucs-fonts: 10x20.bdf,v 1.91 2009-04-06 19:10:19+01 mgk25 Rel $"
+COMMENT "$Id: 10x20.bdf,v 1.91 2009-04-06 19:10:19+01 mgk25 Rel $"
 COMMENT "Send bug reports to Markus Kuhn <http://www.cl.cam.ac.uk/~mgk25/>"
 FONT -Misc-Fixed-Medium-R-Normal--20-200-75-75-C-100-ISO10646-1
 SIZE 20 75 75
--end diff--

but there is a plus in font-misc-misc-1.1.2.tar.bz2(Xorg) :

12x13ja.bdf
18x18ja.bdf
18x18ko.bdf
k14.bdf
nil2.bdf

and ucs-fonts.tar.gz(mgk25) brings these new ones:

clR6x12.bdf
helvR12.bdf
Comment 17 Account closed by user 2011-05-18 08:26:28 EDT

ping !
Comment 18 Pravin Satpute 2011-05-19 01:30:49 EDT
Hi Xose,

I am thinking to build this packages by updating fonts we are presently shipping in ucs-miscfixed-fonts as per upstream latest release.

As you said there are two new fonts in ucs-fonts.tar.gz, i will add clR6x12.bdf
helvR12.bdf also in ucs-miscfixed-fonts.

anything more you want to suggest?
Comment 19 Pravin Satpute 2011-05-19 07:17:38 EDT
i did scratch build http://koji.fedoraproject.org/koji/taskinfo?taskID=3080992

still need some work on .conf file.

New tarball have .bdf files instead of .pcf files

please let me know your comments of scratch build
Comment 20 Akira TAGOH 2011-05-19 07:33:15 EDT
Please make sure if fc-query works for those fonts. fontconfig skips the bdf fonts not having PIXEL_SIZE property so far.
Comment 21 Pravin Satpute 2011-05-20 02:04:38 EDT
(In reply to comment #16)
> I checked for myself, font-misc-misc-1.1.2.tar.bz2(Xorg) vs.
> ucs-fonts.tar.gz(mgk25). And the _base_ fonts are the same.
> 
> but there is a plus in font-misc-misc-1.1.2.tar.bz2(Xorg) :
> 
> 12x13ja.bdf
> 18x18ja.bdf
> 18x18ko.bdf

these fonts are provided by http://www.cl.cam.ac.uk/~mgk25/download/ucs-fonts-asian.tar.gz
Comment 22 Pravin Satpute 2011-05-20 02:11:08 EDT
(In reply to comment #20)
> Please make sure if fc-query works for those fonts. fontconfig skips the bdf
> fonts not having PIXEL_SIZE property so far.

Thanks for pointing to fc-query
Dunno after gzip fonts were not working with fc-query, now i have removed gzip also improved .conf file

http://koji.fedoraproject.org/koji/taskinfo?taskID=3082741
Comment 23 Pravin Satpute 2012-02-11 14:48:23 EST
built this for rawhide
Comment 24 Pravin Satpute 2012-02-15 01:30:38 EST
built this for Fedora 17 as well

Note You need to log in before you can comment on or make changes to this bug.